<div *ngIf="pokemon" class="row">
  <!-- Affichage des détails du Pokémon -->
  <div class="col s12 m8 offset-m2">
    <h2 class="header center">{{ pokemon.name }}</h2>
    <div class="card horizontal hoverable">
      <div class="card-image">
        <img [src]="pokemon.picture" alt="Image de {{ pokemon.name }}">
      </div>
      <div class="card-stacked">
        <div class="card-content">
          <table class="bordered striped">
            <tbody>
              <!-- Nom du Pokémon -->
              <tr>
                <td>Nom</td>
                <td><strong>{{ pokemon.name }}</strong></td>
              </tr>
              <!-- Points de vie du Pokémon -->
              <tr>
                <td>Points de vie</td>
                <td><strong>{{ pokemon.hp }}</strong></td>
              </tr>
              <!-- Dégâts du Pokémon -->
              <tr>
                <td>Dégâts</td>
                <td><strong>{{ pokemon.cp }}</strong></td>
              </tr>
              <!-- Types du Pokémon -->
              <tr>
                <td>Types</td>
                <td>
                  <span *ngFor="let type of pokemon.types" class="{{ type | pokemonTypeColor }}">{{ type }}</span>
                </td>
              </tr>
              <!-- Date de création du Pokémon -->
              <tr>
                <td>Date de création</td>
                <td><em>{{ pokemon.created | date:"dd/MM/yyyy" }}</em></td>
              </tr>
            </tbody>
          </table>
        </div>
        <!-- Actions disponibles pour le Pokémon -->
        <div class="card-action">
          <a (click)="goToPokemonList()">Retour</a>
          <a (click)="goToEditPokemon(pokemon)">Editer</a>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Message affiché lorsque aucun Pokémon n'est disponible -->
<h4 *ngIf='!pokemon' class="center">Aucun pokémon à afficher !</h4>